Tryton Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(152)

Issue 42461002: stock_location_move: Initial commit (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by ced
Modified:
1 month, 3 weeks ago
Reviewers:
pokoli, rietveld-bot, smn, reviewbot
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 5

Patch Set 2 : Add check for pending moves #

Total comments: 4

Patch Set 3 : Add forecast location move for stock supply #

Patch Set 4 : Fix duplicate keys #

Total comments: 17

Patch Set 5 : Fix remarks #

Total comments: 4

Patch Set 6 : order by planned date #

Total comments: 3

Patch Set 7 : Fix comments #

Total comments: 2

Patch Set 8 : Fix comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1845 lines, -0 lines) Patch
A .drone.yml View 1 2 3 4 5 6 1 chunk +51 lines, -0 lines 0 comments Download
A COPYRIGHT View 1 2 3 4 5 6 1 chunk +14 lines, -0 lines 0 comments Download
A INSTALL View 1 2 3 4 5 6 1 chunk +30 lines, -0 lines 0 comments Download
A LICENSE View 1 2 3 4 5 6 1 chunk +674 lines, -0 lines 0 comments Download
A MANIFEST.in View 1 2 3 4 5 6 1 chunk +13 lines, -0 lines 0 comments Download
A README View 1 2 3 4 5 6 1 chunk +35 lines, -0 lines 0 comments Download
A __init__.py View 1 2 3 4 5 6 1 chunk +24 lines, -0 lines 0 comments Download
A doc/index.rst View 1 2 3 4 5 6 7 1 chunk +13 lines, -0 lines 0 comments Download
A product.py View 1 2 3 4 5 6 1 chunk +27 lines, -0 lines 0 comments Download
A setup.py View 1 2 3 4 5 6 1 chunk +130 lines, -0 lines 0 comments Download
A stock.py View 1 2 3 4 5 6 1 chunk +284 lines, -0 lines 0 comments Download
A stock.xml View 1 2 3 4 5 6 1 chunk +70 lines, -0 lines 0 comments Download
A tests/__init__.py View 1 2 3 4 5 6 1 chunk +9 lines, -0 lines 0 comments Download
A tests/scenario_stock_location_move.rst View 1 2 3 4 5 6 1 chunk +127 lines, -0 lines 0 comments Download
A tests/scenario_stock_location_move_empty.rst View 1 2 3 4 5 6 7 1 chunk +149 lines, -0 lines 0 comments Download
A tests/scenario_stock_location_move_supply.rst View 1 2 3 4 5 6 7 1 chunk +111 lines, -0 lines 0 comments Download
A tests/test_stock_location_move.py View 1 2 3 4 5 6 1 chunk +38 lines, -0 lines 0 comments Download
A tox.ini View 1 2 3 4 5 6 1 chunk +18 lines, -0 lines 0 comments Download
A tryton.cfg View 1 2 3 4 5 6 1 chunk +9 lines, -0 lines 0 comments Download
A view/location_form.xml View 1 2 3 4 5 6 1 chunk +9 lines, -0 lines 0 comments Download
A view/shipment_internal_form.xml View 1 2 3 4 5 6 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 29
ced
5 months ago (2017-06-22 17:12:41 UTC) #1
reviewbot
https://codereview.tryton.org/42461002/diff/1/setup.py#newcode88 setup.py:88: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/1/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
5 months ago (2017-06-22 17:31:59 UTC) #2
pokoli
https://tryton-rietveld-hrd.appspot.com/42461002/diff/1/stock.py File stock.py (right): https://tryton-rietveld-hrd.appspot.com/42461002/diff/1/stock.py#newcode139 stock.py:139: if location in locations: Isn't this a unique constraint ...
5 months ago (2017-06-23 08:09:33 UTC) #3
ced
https://tryton-rietveld-hrd.appspot.com/42461002/diff/1/stock.py File stock.py (right): https://tryton-rietveld-hrd.appspot.com/42461002/diff/1/stock.py#newcode139 stock.py:139: if location in locations: On 2017/06/23 08:09:33, pokoli wrote: ...
5 months ago (2017-06-23 08:35:07 UTC) #4
ced
Add check for pending moves
5 months ago (2017-06-23 10:29:14 UTC) #5
reviewbot
https://codereview.tryton.org/42461002/diff/20001/setup.py#newcode88 setup.py:88: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/20001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
5 months ago (2017-06-23 10:37:19 UTC) #6
ced
Add forecast location move for stock supply
5 months ago (2017-06-26 12:28:44 UTC) #7
reviewbot
https://codereview.tryton.org/42461002/diff/40001/setup.py#newcode90 setup.py:90: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/40001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
5 months ago (2017-06-26 13:09:30 UTC) #8
pokoli
5 months ago (2017-06-26 13:11:11 UTC) #9
smn
https://tryton-rietveld.appspot.com/42461002/diff/20001/stock.py File stock.py (right): https://tryton-rietveld.appspot.com/42461002/diff/20001/stock.py#newcode128 stock.py:128: 'location_already_assigned_by': ( Error key is duplicated. https://tryton-rietveld.appspot.com/42461002/diff/20001/stock.py#newcode201 stock.py:201: location.parent ...
5 months ago (2017-06-27 07:11:49 UTC) #10
ced
https://tryton-rietveld.appspot.com/42461002/diff/20001/stock.py File stock.py (right): https://tryton-rietveld.appspot.com/42461002/diff/20001/stock.py#newcode128 stock.py:128: 'location_already_assigned_by': ( On 2017/06/27 07:11:49, smn wrote: > Error ...
5 months ago (2017-06-27 07:30:11 UTC) #11
ced
Fix duplicate keys
5 months ago (2017-06-27 07:30:39 UTC) #12
reviewbot
https://codereview.tryton.org/42461002/diff/60001/setup.py#newcode90 setup.py:90: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/60001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
5 months ago (2017-06-27 08:11:20 UTC) #13
pokoli
https://tryton-rietveld.appspot.com/42461002/diff/60001/INSTALL File INSTALL (right): https://tryton-rietveld.appspot.com/42461002/diff/60001/INSTALL#newcode8 INSTALL:8: * trytond (http://www.tryton.org/) trytond_stock is also required, isn't it? ...
4 months, 1 week ago (2017-07-14 13:02:16 UTC) #14
ced
https://tryton-rietveld.appspot.com/42461002/diff/60001/INSTALL File INSTALL (right): https://tryton-rietveld.appspot.com/42461002/diff/60001/INSTALL#newcode8 INSTALL:8: * trytond (http://www.tryton.org/) On 2017/07/14 13:02:16, pokoli wrote: > ...
4 months, 1 week ago (2017-07-18 22:08:54 UTC) #15
ced
Fix remarks
4 months, 1 week ago (2017-07-18 22:08:57 UTC) #16
reviewbot
https://codereview.tryton.org/42461002/diff/80001/setup.py#newcode90 setup.py:90: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/80001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
4 months, 1 week ago (2017-07-18 22:40:11 UTC) #17
pokoli
https://tryton-rietveld.appspot.com/42461002/diff/60001/stock.xml File stock.xml (right): https://tryton-rietveld.appspot.com/42461002/diff/60001/stock.xml#newcode28 stock.xml:28: <field name="perm_read" eval="False"/> On 2017/07/18 22:08:53, ced wrote: > ...
3 months, 1 week ago (2017-08-17 11:34:58 UTC) #18
ced
order by planned date
3 months, 1 week ago (2017-08-17 12:04:23 UTC) #19
ced
https://tryton-rietveld.appspot.com/42461002/diff/80001/setup.py File setup.py (right): https://tryton-rietveld.appspot.com/42461002/diff/80001/setup.py#newcode126 setup.py:126: 'tests/scenario_stock_location_move.rst', On 2017/08/17 11:34:58, pokoli wrote: > missing empty ...
3 months, 1 week ago (2017-08-17 12:04:27 UTC) #20
reviewbot
https://codereview.tryton.org/42461002/diff/100001/setup.py#newcode90 setup.py:90: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/100001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
3 months, 1 week ago (2017-08-17 12:11:11 UTC) #21
pokoli
https://tryton-rietveld.appspot.com/42461002/diff/100001/.drone.yml File .drone.yml (right): https://tryton-rietveld.appspot.com/42461002/diff/100001/.drone.yml#newcode2 .drone.yml:2: env: must be updated https://tryton-rietveld.appspot.com/42461002/diff/100001/stock.py File stock.py (right): https://tryton-rietveld.appspot.com/42461002/diff/100001/stock.py#newcode194 ...
1 month, 4 weeks ago (2017-09-26 08:54:54 UTC) #22
ced
Fix comments
1 month, 4 weeks ago (2017-09-27 16:44:45 UTC) #23
reviewbot
https://codereview.tryton.org/42461002/diff/120001/setup.py#newcode90 setup.py:90: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/120001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
1 month, 4 weeks ago (2017-09-27 17:07:31 UTC) #24
pokoli
https://tryton-rietveld.appspot.com/42461002/diff/120001/doc/index.rst File doc/index.rst (right): https://tryton-rietveld.appspot.com/42461002/diff/120001/doc/index.rst#newcode10 doc/index.rst:10: A reservation mechanism prevent to assign the same moved ...
1 month, 3 weeks ago (2017-09-28 11:33:13 UTC) #25
ced
Fix comments
1 month, 3 weeks ago (2017-09-28 21:10:04 UTC) #26
reviewbot
https://codereview.tryton.org/42461002/diff/140001/setup.py#newcode90 setup.py:90: E501 line too long (85 > 79 characters) https://codereview.tryton.org/42461002/diff/140001/tests/__init__.py#newcode5 tests/__init__.py:5: E501 line too ...
1 month, 3 weeks ago (2017-09-28 21:10:10 UTC) #27
pokoli
LGTM
1 month, 3 weeks ago (2017-09-29 08:40:16 UTC) #28
rietveld-bot_tryton.org
1 month, 3 weeks ago (2017-10-02 08:03:26 UTC) #29
New changeset 0a17b967a26e by Cédric Krier in branch 'default':
Initial commit
http://hg.tryton.org/modules/stock_location_move/rev/0a17b967a26e
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld bc8b922